Page Summary
-
This document provides details on how to list brands for a partner account using an HTTP GET request.
-
The request requires a
parentpath parameter specifying the account ID. -
The request body must be empty.
-
The response body contains a list of
Brandobjects associated with the account. -
Authorization requires the
https://www.googleapis.com/auth/travelpartnerOAuth scope.
Returns the brands for a partner account.
HTTP request
GET https://travelpartner.googleapis.com/v3/{parent=accounts/*}/brands
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The resource name of the account being queried. The format is |
Query parameters
| Parameters | |
|---|---|
pageSize |
Optional. The maximum number of brands to return. The service may return fewer than this value. If unspecified, at most 10,000 brands will be returned. The maximum value is 10,000; values above 10,000 will be coerced to 10,000. |
pageToken |
Optional. Page token, received from a previous When paginating, all other parameters provided to |
Request body
The request body must be empty.
Response body
Response message for BrandService.ListBrands.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"brands": [
{
object ( |
| Fields | |
|---|---|
brands[] |
A list of brands for the current page associated with the Hotel Center account being queried. |
nextPageToken |
Token that can be sent as |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/travelpartner
For more information, see the OAuth 2.0 Overview.